sequenceDiagram
autonumber
participant merchant as Merchant
participant mbo as Merchant Backoffice <br/> (Browser)
participant epages6 as ePages6 <br/> (Cartridges)
participant epagesj as ePagesJ
participant google as Google

merchant->>mbo: Clicks "Status" slide toggle button
mbo->>epages6: ChangeAction POST SwitchCampaignStatus
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->updateGoogleAdsCampaign' <br/> PUT 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns/{campaignId}' (admin + developer token) {status:..}
epagesj->>google: AdsManagementService.updateCampaignStatus <br/> Campaign.newBuilder() / CampaignServiceClient.mutateCampaigns (Google Ads API SDK)
google-->>epagesj: MutateCampaignsResponse (Google Ads API SDK)
epagesj-->>epages6: response (204 NO-CONTENT)
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::ScriptTagService->addScriptTag' OR 'DE_EPAGES::GoogleSmartShopping::API::ScriptTagService->deleteScriptTag'
epagesj-->>epages6: response (201 CREATED) OR response (204 NO-CONTENT)
epages6-->>mbo: 