#IF(#IsShopVoteSealVisible == 1 AND #DEFINED(#ShopVoteID))
(function() {
    #LOCAL("ParsedSealPosition", #ExtractedShopVoteSealPosition)
        var position = {
                fixed: 1,
                static: 4
            },

            sealHTMLCode = function() {
                var span = document.createElement('span');

                span.id="sv-badge-t4";
                document.body.appendChild(span);
            },

            script;

        if (/epCookieConsent=1/.test(document.cookie)) {
            // create script element to load JavaScript source
            script = document.createElement('script');

            sealHTMLCode();

            script.src = 'https://widgets.shopvote.de/js/reputation-badge-v2.min.js';
            script.setAttribute("defer", true);
            document.body.appendChild(script);

            script.onload = function() {
                window.addEventListener ? window.addEventListener("load", loadBadge, !1) : window.attachEvent && window.attachEvent("onload", loadBadge);

                function loadBadge() {
                    var myShopID = #ShopVoteID;
                    var myBadgetType = position.fixed;
                    var myLanguage = 'DE';
                    var mySrc = ('https:' === document.location.protocol ? 'https' : 'http');

                    createRBadge(myShopID, myBadgetType, mySrc, #ParsedSealPosition.HOffset, #ParsedSealPosition.VOffset, "#ParsedSealPosition.HAlign", "#ParsedSealPosition.VAlign");
                }
            }
        }
    #ENDLOCAL #REM /* LOCAL("ParsedSealPosition", ExtractedShopVoteScriptCode) */ #ENDREM
})();
#ENDIF
