# Cartridge DE_EPAGES:: GoogleSmartShopping

## PURPOSE

Integration of [Google Smart Shopping](https://epages.atlassian.net/wiki/spaces/RND/pages/3234889783/Google+Smart+Shopping) 

## Content

1. Setup

    1.1. [Onboarding personal google_account](#onboarding-personal-google-account)

    1.2. [Onboarding merchant center account](#onboarding-merchant-center-account)

    1.3. [Onboarding ads account](#onboarding-ads-account)

2. Products

3. Campaigns

    3.1. [Campaign creation](#campaign-creation)

    3.2. [Campaign update](#campaign-update)

    3.3. [Campaign status toggle](#campaign-status-toggle)

    3.4. [Campaign product performance](#campaign-product-performance)

    3.5. [Campaign delete](#campaign-delete)

## Onboarding personal google account

![Onboarding personal google account](Documents/gss-onboarding-personal-google-account.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/gss-onboarding-personal-google-account.mmd](Documents/gss-onboarding-personal-google-account.mmd)

## Onboarding merchant center account

![Shopper checkout](Documents/gss-onboarding-merchant-center-account.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/gss-onboarding-merchant-center-account.mmd](Documents/gss-onboarding-merchant-center-account.mmd)

## Onboarding ads account

![Shopper checkout](Documents/gss-onboarding-ads-account.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/gss-onboarding-merchant-center-account.mmd](Documents/gss-onboarding-ads-account.mmd)


## Campaign creation

![Campaign creation button](./Documents/sequence-diagrams/gss-campaign-creation.png)

---
![Campaign creation](./Documents/sequence-diagrams/gss-campaign-creation.svg)

---
You can re-generate SVG diagram from [here](https://mermaidjs.github.io/mermaid-live-editor) with [this](./Documents/sequence-diagrams/gss-campaign-creation.md) code.

## Campaign update

![Campaign update icon](./Documents/sequence-diagrams/gss-campaign-update.png)

---
![Campaign update](./Documents/sequence-diagrams/gss-campaign-update.svg)

---
You can re-generate SVG diagram from [here](https://mermaidjs.github.io/mermaid-live-editor) with [this](./Documents/sequence-diagrams/gss-campaign-update.md) code.

## Campaign status toggle

![Campaign status toggle element](./Documents/sequence-diagrams/gss-campaign-status-toggle.png)

---
![Campaign status toggle](./Documents/sequence-diagrams/gss-campaign-status-toggle.svg)

---
You can re-generate SVG diagram from [here](https://mermaidjs.github.io/mermaid-live-editor) with [this](./Documents/sequence-diagrams/gss-campaign-status-toggle.md) code.

## Campaign product performance

![Campaign product performance link](./Documents/sequence-diagrams/gss-campaign-product-performance.png)

---
![Campaign product performance](./Documents/sequence-diagrams/gss-campaign-product-performance.svg)

---
You can re-generate SVG diagram from [here](https://mermaidjs.github.io/mermaid-live-editor) with [this](./Documents/sequence-diagrams/gss-campaign-product-performance.md) code.

## Campaign delete

![Campaign delete icon](./Documents/sequence-diagrams/gss-campaign-delete.png)

---
![Campaign delete](./Documents/sequence-diagrams/gss-campaign-delete.svg)

---
You can re-generate SVG diagram from [here](https://mermaidjs.github.io/mermaid-live-editor) with [this](./Documents/sequence-diagrams/gss-campaign-delete.md) code.
